Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport
Class AbstractMuleMessageFactory

    java.lang.Object
      org.mule.transport.AbstractMuleMessageFactory

All Implemented Interfaces:
  MuleMessageFactory

Direct Known Subclasses:
  AjaxMuleMessageFactory, AxisMuleMessageFactory, DefaultMuleMessageFactory, FileMuleMessageFactory, FtpMuleMessageFactory, HttpMuleMessageFactory, JmsMuleMessageFactory, MailMuleMessageFactory, RmiMuleMessageFactory, ServletMuleMessageFactory, UdpMuleMessageFactory, XmppMuleMessageFactory

    public abstract class AbstractMuleMessageFactory

extends Object
implements MuleMessageFactory

Field Summary
`protected MuleContext` | `muleContext`

Constructor Summary
`AbstractMuleMessageFactory(MuleContext context)`

Method Summary
`protected void` | `addAttachments(DefaultMuleMessage message, Object transportMessage)`
`protected void` | `addProperties(DefaultMuleMessage message, Object transportMessage)`
`MuleMessage` | `create(Object transportMessage, MuleMessage previousMessage, String encoding)` Creates a `MuleMessage` instance by extracting the payload from `transportMessage`.
`MuleMessage` | `create(Object transportMessage, String encoding)` Creates a `MuleMessage` instance from `transportMessage` by extracting its payload and, if available, any relevant message properties and attachments.
`protected abstract Object` | `extractPayload(Object transportMessage, String encoding)`
`protected abstract Class<?>[]` | `getSupportedTransportMessageTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### muleContext

    protected MuleContext muleContext

Constructor Detail

### AbstractMuleMessageFactory

    public AbstractMuleMessageFactory(MuleContext context)

Method Detail

### create

    public MuleMessage create(Object transportMessage,
                              String encoding)
                       throws Exception

  Description copied from interface: `MuleMessageFactory`
  Creates a `MuleMessage` instance from `transportMessage` by extracting its payload and, if available, any relevant message properties and attachments.

  Specified by:
    `create` in interface `MuleMessageFactory`
  Throws:
    `Exception`

### create

    public MuleMessage create(Object transportMessage,
                              MuleMessage previousMessage,
                              String encoding)
                       throws Exception

  Description copied from interface: `MuleMessageFactory`
  Creates a `MuleMessage` instance by extracting the payload from `transportMessage`. Additional message properties will be taken from `previousMessage`.

  Specified by:
    `create` in interface `MuleMessageFactory`
  Throws:
    `Exception`

### getSupportedTransportMessageTypes

    protected abstract Class<?>[] getSupportedTransportMessageTypes()

### extractPayload

    protected abstract Object extractPayload(Object transportMessage,
                                             String encoding)
                                      throws Exception

  Throws:
    `Exception`

### addProperties

    protected void addProperties(DefaultMuleMessage message,
                                 Object transportMessage)
                          throws Exception

  Throws:
    `Exception`

### addAttachments

    protected void addAttachments(DefaultMuleMessage message,
                                  Object transportMessage)
                           throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.